appcompat相关内容

Android应用程序在setSupportActionBar崩溃

我正在尝试按照以下教程创建标签视图布局: http://www.android4devs.com/2015/01/how-to-make-material-design-sliding-tabs.html 不幸的是,应用程序在出现任何问题之前都会崩溃。将调试日志插入我的代码后,我发现问题存在于MainActivity中的 setSupportActionBar(工具栏)行中。我不知道为什么会 ..
发布时间:2019-01-02 10:15:29 Java相关

在Android 4.4 SDK更新后,android-support-v7-appcombat jar不匹配和应用程序崩溃

我在我的应用程序中成功使用了android-support-v7-appcompat库,以支持旧设备中的操作栏。最近,我从SDK Manager下载了带有系统映像和SDK平台的Android 4.4(kitkat)更新。我还在清单文件中将targetSdkVersion添加到“19”。但我的项目显示错误为'android-support-v7-appcompat jar mismatch。修复你的 ..
发布时间:2018-12-29 19:48:05 Java相关

如何解决此错误VFY:无法解析虚方法

我正在使用android studio 2.0,上次我将jdk 7升级到jdk 8,我正在对文件gradle进行一些更改,但现在我收到此错误 E / InstantRun:无法在APK中找到切片;中止。 I / dalvikvm:找不到方法android.content.Context.getSystemService,从方法com.mstr.malik.elbalaapps.Cont ..
发布时间:2018-12-28 21:51:01 Java相关

使用矢量drawable时,通知会引发错误

当我使用vector drawable设置通知的小图标时,我得到以下异常: android.app.RemoteServiceException :从com.qbes.xxx包发布错误通知:无法创建图标:StatusBarIcon(pkg = com.qbes.xxxuser = 0 id = 0x7f020082 level = 0 visible = true num = 0) 这 ..
发布时间:2018-12-25 20:55:19 Java相关

如何正确使用向后兼容的Vector Drawable与最新的Android支持库?

Vector drawable已经添加到支持库中不久以前,从那时起API中发生了很多变化:Gradle标记,初始化块,选择器,自定义XML属性等。问题是 - 如何正确使用在这些情况下它现在(支持lib v25): ImageView TextView drawable 菜单图标 通知图标 XML和编程方式。 解决方案 将最新的支持库添加到应用程序的 build.gradl ..
发布时间:2018-11-27 12:20:45 Java相关

我可以使用针对sdk 21的项目的最新版本的appcompat库吗?

我对这个appcompat库不太了解,所以如果这不是最聪明的问题,我很抱歉。 我有一个项目,我遇到了问题。原来,我将targetSdkVersion设置为23,并且因为我想使用21而导致我遇到了问题。所以我将其更改为21。 在我的build.gradle我编译com.android.support:appcompat-v7:23.1.1。 当我尝试构建时,会导致以下问题: ..
发布时间:2018-05-18 21:34:23 其他开发

错误:属性'SrcCompat'已被定义

每次尝试构建或生成签名的APK时,我都会遇到上述错误。 此问题类似,但尚未提出可行的解决方案。 我的BUILD.GRADLE依赖项的一个快照: 我的错误日志快照: 支持库已更新 [] 解决方案 终于找到了方法。重新开始项目,并开始每次导入一个lib,直到出现错误。显然这个第三方lib ' com.github.ozodrukh:RippleDrawable:2. ..
发布时间:2018-05-17 20:02:41 其他开发

如何通过导入正确的库来避免DEX 64K LIMIT

在编译我使用的所有库时,我遇到了这个问题,它溢出了Dalvik中的 64k方法限制。当我导入支持库时,我开始遇到这个问题,因为其中一些已经包含在其他支持库中,结果溢出了限制。 有没有办法验证if一个库在当前项目中是未使用的,或者已经通过另一个库依赖项导入了? 目前,我排除了我所知道的那些,但似乎很奇怪必须做 依赖关系{ 编译fileTree(dir:'libs',include: ..
发布时间:2018-05-17 19:13:46 其他开发

无法在styles.xml中解析符号'Theme.AppCompat.Light.DarkActionBar'

Theme.AppCompat.Light.DarkActionBar不在styles.xml中编译。我在应用模块的 build.gradle中添加了 compile'c​​om.android.support:appcompat-v7:25.1.0' code>。 我在谷歌搜索解决方案。它们中的很多都是关于更改Project的 build.gradle 中的类路径,但它仍然显示相同的错误 ..
发布时间:2018-05-17 19:08:14 其他开发

无法编译我的android项目

错误:配置项目出现问题':应用”。 无法解析配置':app:_debugCompile'的所有依赖关系。 找不到com.android.support:appcompat-v7:21.0.1。 在以下位置搜索: https://jcenter.bintray.com/com/android/support/appcompat-v7/21.0.1/appcompat-v7-21.0.1.po ..
发布时间:2018-05-17 19:04:20 其他开发

无法解析styles.xml中的符号'Theme'(Android Studio)

从今天开始,Android Studio无法在styles.xml中找到AppCompat主题,但例如代码中的AppCompatActivity确实得到了识别。我的Android Studio版本是2.2.2,Build#AI-145.3360264 我已经尝试升级到最新的编译工具,编译sdk(25)版本等,但它didn解决了这个问题。 $ b 目前我已经安装了以下内容(来自sdk ma ..
发布时间:2018-05-17 18:14:42 其他开发

在添加google-play-services之后,您需要在此活动中使用Theme.AppCompat主题(或后代)

在应用程序中我正在开发(这是我的第一个Android应用程序)我使用android-maven-plugin和maven-android-sdk-deployer。 应用程序一直很好(使用ActionBarActivity的MainActivity已被正确显示),直到我添加了一个google-play-servies库。之后,我收到以下异常(除了向pom.xml添加所需的依赖项外,没有在应用程序 ..
发布时间:2018-05-14 19:16:53 其他开发

如何在Google Play商店应用中设置Android SearchView的样式?

我尝试在工具栏中设置 SearchView 的外观/行为与 SearchView 在 Google Play商店应用中。它似乎将cardview包装在cardview中,但它似乎也集成了按钮/抽屉切换行为。 这是主要活动searchView,它集成了抽屉切换 单击它时,抽屉切换变为箭头(点击时将从搜索视图中移除焦点) 当您点击商店中的某个应用程序时,您会转至应用程序详细信息页面, ..
发布时间:2018-05-14 18:22:52 其他开发

为Android定制谷歌地点选择器颜色

我想为Android定制Google Place Picker Widget。我可以为使用API​​低于21(使用appcompat数学)的设备设计主色和主色深吗? 解决方案 是的,在android 5.0下使用材质设计主题。请检查此链接 ..
发布时间:2018-05-11 14:17:22 其他开发

Firebase API初始化失败,java.lang.reflect.InvocationTargetException

我正在使用我的应用程序中的Firebase身份验证,数据库和存储服务。以前工作正常。我已经添加了文档中描述的firebase云消息传递设置。但是,应用程序在运行时崩溃。我调查了大约4个小时的问题,并尝试了不同的解决方案。像保持所有库版本一样,更改appcompat库版本,并将应用程序更改为multidex.But没有任何帮助。下面是我的gradle依赖: compile('com.digi ..
发布时间:2017-11-10 20:59:48 其他开发